package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UnbindDeviceSnRespVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UnbindDeviceSnRespVo   {
  @JsonProperty("sn")
  private String sn;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("licenseId")
  private String licenseId;

  @JsonProperty("licenseType")
  private String licenseType;

  @JsonProperty("category")
  private String category;

  public UnbindDeviceSnRespVo sn(String sn) {
    this.sn = sn;
    return this;
  }

  /**
   * Get sn
   * @return sn
  */
  @ApiModelProperty(value = "")


  public String getSn() {
    return sn;
  }

  public void setSn(String sn) {
    this.sn = sn;
  }

  public UnbindDeviceSnRespVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * unbind device status(0: success;-1: failed;)
   * @return status
  */
  @ApiModelProperty(value = "unbind device status(0: success;-1: failed;)")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public UnbindDeviceSnRespVo licenseId(String licenseId) {
    this.licenseId = licenseId;
    return this;
  }

  /**
   * License ID
   * @return licenseId
  */
  @ApiModelProperty(value = "License ID")


  public String getLicenseId() {
    return licenseId;
  }

  public void setLicenseId(String licenseId) {
    this.licenseId = licenseId;
  }

  public UnbindDeviceSnRespVo licenseType(String licenseType) {
    this.licenseType = licenseType;
    return this;
  }

  /**
   * 1year, 2years, 3years, 4years, 5years, others, trial
   * @return licenseType
  */
  @ApiModelProperty(value = "1year, 2years, 3years, 4years, 5years, others, trial")


  public String getLicenseType() {
    return licenseType;
  }

  public void setLicenseType(String licenseType) {
    this.licenseType = licenseType;
  }

  public UnbindDeviceSnRespVo category(String category) {
    this.category = category;
    return this;
  }

  /**
   * ap, l2Switch, l3Switch, gateway
   * @return category
  */
  @ApiModelProperty(value = "ap, l2Switch, l3Switch, gateway")


  public String getCategory() {
    return category;
  }

  public void setCategory(String category) {
    this.category = category;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UnbindDeviceSnRespVo unbindDeviceSnRespVo = (UnbindDeviceSnRespVo) o;
    return Objects.equals(this.sn, unbindDeviceSnRespVo.sn) &&
        Objects.equals(this.status, unbindDeviceSnRespVo.status) &&
        Objects.equals(this.licenseId, unbindDeviceSnRespVo.licenseId) &&
        Objects.equals(this.licenseType, unbindDeviceSnRespVo.licenseType) &&
        Objects.equals(this.category, unbindDeviceSnRespVo.category);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sn, status, licenseId, licenseType, category);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UnbindDeviceSnRespVo {\n");
    
    sb.append("    sn: ").append(toIndentedString(sn)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    licenseId: ").append(toIndentedString(licenseId)).append("\n");
    sb.append("    licenseType: ").append(toIndentedString(licenseType)).append("\n");
    sb.append("    category: ").append(toIndentedString(category)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

